Pay in 4 interest-free payments of $5.50 Learn more
Shipping Estimate
USA
- USA
- CAN
- USA
- CAN
Ships within 48 hours · Estimated delivery Oct 24 - Oct 29
Pay in 4 interest-free payments of $5.50 Learn more
Ships within 48 hours · Estimated delivery Oct 24 - Oct 29
Widest choice of end fittings available
DO NOT tighten one side then the other
60mm PVC Helix 30 PSI 2
Wide range of chemical resistance
71 KG/m 300ft 4502-8000 8" 203
RFC150F Dixon Cast Brass Cap with Chain - Rocker Lug - 1-1/2" Female NST(NH) Thread - Powhatan Part #: 17-126-00055 SampleEndA_24mm Male Komatsu Widest choice of end fittingsPart Number Female Thread Finish Powhatan Part # Weight (Lbs.) RFC100F 1" Female NST (NH) 17 126 00026 0. 3300 RFC150F 1 1 2" Female NST (NH) 17 126 00055 0. 4000 RFC250F 2 1 2" Female NST (NH) 17 126 00303 0. 8700 RFC250F C 2 1 2" Female NST (NH) Polished Chrome Plated 1. 3665 RFC075 3 4" Female NPSH 17 126 00015 0. 2800 RFC100 1" Female NPSH 17 126 01303 0. 3080 RFC150 1 1 2" Female NPSH 0. 6810 RFC200 2" Female NPSH 1. 0000 RFC250 2 1 2" Female
US$ 17.30
US$ 114.95
US$ 64.99
US$ 89.95
US$ 84.95
US$ 15.65
US$ 44.95
US$ 103.99
US$ 54.95
US$ 59.95
US$ 126.00